summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorroot <root@free-owl.de>2015-03-28 13:48:32 +0100
committerroot <root@free-owl.de>2015-03-28 13:48:32 +0100
commiteb19c7d8cd72567bb5cecaabdb976d911cbcf7b0 (patch)
tree98d8e8feb15482e9d4b4da33daef95694412f394
parent8e05f7d3a1bf66d9b2f97aefa2c40da9300885a0 (diff)
Add new script to setup SMTP sub-account for use e.g. with nullmailer.
-rwxr-xr-xlocaladdsmtpuser33
1 files changed, 33 insertions, 0 deletions
diff --git a/localaddsmtpuser b/localaddsmtpuser
new file mode 100755
index 0000000..53f2c30
--- /dev/null
+++ b/localaddsmtpuser
@@ -0,0 +1,33 @@
+#!/bin/sh
+#
+# Copyright © 2015, Jonas Smedegaard <dr@jones.dk>
+# Description: Setup SMTP sub-account for use e.g. with nullmailer
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+set -e
+
+exit1() {
+ echo >&2 "ERROR: $1"
+ exit 1
+}
+
+echo "$1" | grep -q '^[a-z][a-z0-9]*$' || exit1 "Illegal character in base username!"
+getent passwd "$1" >/dev/null || exit1 "Base username \"$1\" does not exist!"
+
+user="$1-smtp"
+desc="SMTP sub-account for $1"
+
+adduser --force-badname --no-create-home --shell /bin/false --gecos "$desc" "$user"